CENTIPEDE(8C)

NAME
centipede - LDAP centroid index generation and maintenance program

SYNOPSIS
SBINDIR/centipede [-f filter] [-F] [-R] [-f filter] [-t directory] [-m authmethod] [-b binddn] [-p passwd] [-c cachesize] -s sourceurl -d desturl attributes

DESCRIPTION

The centipede program is used to extract centroid or other index information from one LDAP server and install it in another. Although index information can be extracted from any LDAP server, only a slapd(8) LDAP server will understand the information and thus be capable of making use of it as indexing information (i.e., you should only install index information in a slapd(8) LDAP server).

The basic form of the command is as follows

	SBINDIR/centipede [options]
		-s "ldap://[host/]subtree-to-index-dn"
		-d "ldap://[host/]parent-of-index-entry-dn"
		attributes

where the -s option specifies the subtree for which index information is to be generated, and the -d option specifies the parent under which the index information is to be installed.

For example, suppose you are running an LDAP server on the host babs.com for an organization called "BabsCo" based in the US, and you want to generate index information for the cn, sn and objectclass attributes of all the people entries in your subtree. You want to install the index informatioin in the indexing slapd(8) running on the host vertigo.rs.itd.umich.edu under the c=US entry. This way, when an LDAP client connects to the slapd(8) on vertigo and does a subtree search of c=US, slapd(8) can consult the index information to tell whether it should refer the client to your server or not. You could accomplish this with a command like this:

	SBINDIR/centipede -f '(objectclass=person)'
		-m simple -b your-rootdn -p your-rootdnpw
		-s "ldap://babs.com/o=BabsCo, c=US"
		-d "ldap://vertigo.rs.itd.umich.edu/c=US"
		cn sn objectclass

Note the -b and -p options can be used to authenticate as an entity able to read all the information you want.

See "The SLAPD and SLURPD Administrator's Guide" for more details on using this program.

OPTIONS

-v  Turn on verbose mode. This option can be given multiple times to increase the level of verbosity.

-n  Do not actually install index information. Useful in conjunction with -v for seeing what centipede is up to.

-f ldapfilter
    Specify a filter used to select the entries for which to generate indexing information. ldapfilter should be a string LDAP filter as described by RFC 1588.

-F  Generate full, as opposed to relative, index information.

-R  Generate relative, as opposed to full, index information. Full information is still generated if there is no previous information available from which to generate the relative information. This is the default.

-t directory
    Specify the directory in which to create temporary files, find existing index information, and put new index information. The default is whatever is used by tempnam.

-b binddn
    Specify the DN to authenticate with when extracting index information.

-p passwd
    Specify the password to use for simple authentication when extracting index information.

-m authmethod
    Specify the authentication method to use when extracting index information. authmethod should be either "simple" or "kerberos".

-B binddn
    Specify the DN to authenticate with when installing index information.

-P passwd
    Specify the password to use for simple authentication when installing index information.

-M authmethod
    Specify the authentication method to use when installing index information. authmethod should be either "simple" or "kerberos".

-c cachesize
    Specify the size in bytes of the cache used when building the new index information. Upping this number can cause a big performance boost, if you've got the memory for it.

NOTES
This is all very experimental at the moment, and is subject to change.

Currently, centipede only handles value-based index information. A future version of centipede will allow other types of index information to be manipulated (e.g., word-based indexes, substring indexes, phonetic indexes, hash indexes, etc.). A future version may also allow weights to be generated.

SEE ALSO
ldap(3), slapd(8)

"The SLAPD and SLURPD Administrator's Guide"

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.